For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • POSTMove feature to project
      • PUT[BETA] Update a milestone strategy
      • GET[BETA] Get partial updates (SDK)
      • PUT[BETA] Change a feature environment safeguard
      • DEL[BETA] Delete a feature environment safeguard
      • POSTValidate a feature flag name.
      • GETGet all tags for a feature.
      • POSTAdds a tag to a feature.
      • PUTUpdates multiple tags for a feature.
      • DELRemoves a tag from a feature.
      • GETGet a feature environment
      • POSTDisable a feature flag
      • POSTEnable a feature flag
      • POSTBulk enable a list of features
      • POSTBulk disable a list of features
      • GETGet feature flag strategies
      • POSTAdd a strategy to a feature flag
      • GETGet a strategy configuration
      • PUTUpdate a strategy
      • DELDelete a strategy from a feature flag
      • PATCHChange specific properties of a strategy
      • POSTSet strategy sort order
      • GETGet all features in a project
      • POSTAdd a new feature flag
      • POSTClone a feature flag
      • GETGet a feature
      • PUTUpdate a feature flag
      • DELArchive a feature flag
      • PATCHModify a feature flag
      • POSTMark features as stale / not stale
      • GETGet variants for a feature in an environment
      • PUTCreate (overwrite) variants for a feature in an environment
      • PATCHPatch a feature's variants in an environment
      • PUTCreate (overwrite) variants for a feature flag in multiple environments
      • POSTValidates archive features
      • POSTArchives a list of features
      • GET[BETA] Get feature lifecycle
      • POST[BETA] Set feature completed
      • POST[BETA] Set feature uncompleted
      • POST[BETA] Create a feature link
      • PUT[BETA] Update a feature link
      • DEL[BETA] Delete a feature link
      • GET[BETA] Get all features lifecycle stage count
      • POSTValidate constraint
      • POSTAdd feature to favorites
      • DELRemove feature from favorites
      • POSTAdd project to favorites
      • DELRemove project from favorites

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIFeature flags

Updates multiple tags for a feature.

||View as Markdown|
PUT
https://app.unleash-instance.example.com/api/admin/features/:featureName/tags
PUT
/api/admin/features/:featureName/tags
$curl -X PUT https://app.unleash-instance.example.com/api/admin/features/featureName/tags \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "addedTags": [
> {
> "value": "tag-to-add",
> "type": "simple"
> }
> ],
> "removedTags": [
> {
> "value": "tag-to-remove",
> "type": "simple"
> }
> ]
>}'
1{
2 "version": 1,
3 "tags": [
4 {
5 "value": "a-tag-value",
6 "type": "simple",
7 "color": "#FFFFFF"
8 }
9 ]
10}
Receives a list of tags to add and a list of tags to remove that are mandatory but can be empty. All tags under addedTags are first added to the feature and then all tags under removedTags are removed from the feature.
Was this page helpful?
Previous

Removes a tag from a feature.

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

featureNamestringRequired

Request

updateTagsSchema
addedTagslist of objectsRequired
Tags to add to the feature.
removedTagslist of objectsRequired
Tags to remove from the feature.

Response headers

locationstring
The location of the newly created resource.

Response

The resource was successfully created.
versioninteger
The version of the schema used to model the tags.
tagslist of objects
A list of tags.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error